Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class AbstractListModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel

All Implemented Interfaces:
  ListModel, Serializable

Direct Known Subclasses:
  BasicDirectoryModel, DefaultComboBoxModel, DefaultListModel, MetalFileChooserUI.DirectoryComboBoxModel, MetalFileChooserUI.FilterComboBoxModel

public abstract class AbstractListModel
extends Object
implements ListModel, Serializable

The Abstract definition for the data model the provides a List with its contents.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected EventListenerList` | `listenerList`

Constructor Summary
`AbstractListModel()`

Method Summary
`void` | `addListDataListener(ListDataListener l)` Add a listener to the list that's notified each time a change to the data model occurs.
`protected void` | `fireContentsChanged(Object source, int index0, int index1)` AbstractListModel subclasses must call this method after one or more elements of the list change.
`protected void` | `fireIntervalAdded(Object source, int index0, int index1)` AbstractListModel subclasses must call this method after one or more elements are added to the model.
`protected void` | `fireIntervalRemoved(Object source, int index0, int index1)` AbstractListModel subclasses must call this method after one or more elements are removed from the model.
`EventListener[]` | `getListeners(Class listenerType)` Return an array of all the listeners of the given type that were added to this model.
`void` | `removeListDataListener(ListDataListener l)` Remove a listener from the list that's notified each time a change to the data model occurs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`getElementAt, getSize`

Field Detail

### listenerList

    protected EventListenerList listenerList

Constructor Detail

### AbstractListModel

    public AbstractListModel()

Method Detail

### addListDataListener

    public void addListDataListener(ListDataListener l)

  Add a listener to the list that's notified each time a change to the data model occurs.
  Specified by:
    `addListDataListener` in interface `ListModel`
  Parameters:
    `l` - the ListDataListener

### removeListDataListener

    public void removeListDataListener(ListDataListener l)

  Remove a listener from the list that's notified each time a change to the data model occurs.
  Specified by:
    `removeListDataListener` in interface `ListModel`
  Parameters:
    `l` - the ListDataListener

### fireContentsChanged

    protected void fireContentsChanged(Object source,
                                       int index0,
                                       int index1)

  AbstractListModel subclasses must call this method after one or more elements of the list change. The changed elements are specified by a closed interval index0, index1, i.e. the range that includes both index0 and index1. Note that index0 need not be less than or equal to index1.
  Parameters:
    `source` - The ListModel that changed, typically "this".
    `index0` - One end of the new interval.
    `index1` - The other end of the new interval.
  See Also:
    `EventListenerList`, `DefaultListModel`

### fireIntervalAdded

    protected void fireIntervalAdded(Object source,
                                     int index0,
                                     int index1)

  AbstractListModel subclasses must call this method after one or more elements are added to the model. The new elements are specified by a closed interval index0, index1, i.e. the range that includes both index0 and index1. Note that index0 need not be less than or equal to index1.
  Parameters:
    `source` - The ListModel that changed, typically "this".
    `index0` - One end of the new interval.
    `index1` - The other end of the new interval.
  See Also:
    `EventListenerList`, `DefaultListModel`

### fireIntervalRemoved

    protected void fireIntervalRemoved(Object source,
                                       int index0,
                                       int index1)

  AbstractListModel subclasses must call this method after one or more elements are removed from the model. The new elements are specified by a closed interval index0, index1, i.e. the range that includes both index0 and index1. Note that index0 need not be less than or equal to index1.
  Parameters:
    `source` - The ListModel that changed, typically "this".
    `index0` - One end of the new interval.
    `index1` - The other end of the new interval.
  See Also:
    `EventListenerList`, `DefaultListModel`

### getListeners

    public EventListener[] getListeners(Class listenerType)

  Return an array of all the listeners of the given type that were added to this model.
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.